dwd {sdpt3r} | R Documentation

## Distance Weighted Discrimination

### Description

`dwd` creates input for sqlp to solve the Distance Weighted Discrimination problem - Given two sets of points An and Ap, find an optimal classification rule to group the points as accurately as possible for future classification.

### Usage

    dwd(Ap, An, penalty)

### Arguments

`Ap` | An nxp point configuration matrix
`An` | An nxp point configuration matrix
`penalty` | A real valued scalar penalty for moving points across classification rule

### Details

Solves the distance weighted discrimination problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Andwd)
    data(Apdwd)
    penalty <- 0.5

    #Not Run
    #out <- dwd(Apdwd,Andwd,penalty)

[Package sdpt3r version 0.3 Index]